View Issue Details

IDProjectCategoryView StatusLast Update
09050Development Securitypublic2016-08-15 09:43
Reporterrbaier Assigned Toc_schmitz  
PrioritynormalSeverityminor 
Status assignedResolutionfixed 
Target Version2.06 
Summary09050: Survey administrators can edit any template instead of only the templates they were given access to
DescriptionA survey administrator is given the permission to edit some specific templates. Nevertheless he can edit any existing template by means of the template editor.
Additional InformationIn the template editor, a survey administrator should be able to edit only the templates he was given access to.
Thus, templates could be assigned to each survey admin individually, so that only he can edit this templates.
TagsNo tags attached.

Users monitoring this issue

User List rnck

Activities

c_schmitz

c_schmitz

2014-06-18 16:09

administrator   ~30156

Template access control is meant for usage, not for editing, currently.

Issue History

Date Modified Username Field Change
2014-05-26 14:31 rbaier New Issue
2014-06-18 13:08 c_schmitz Assigned To => c_schmitz
2014-06-18 13:08 c_schmitz Status new => assigned
2014-06-18 13:53 c_schmitz Changeset attached => LimeSurvey master 8be1ed56
2014-06-18 13:53 c_schmitz Resolution open => fixed
2014-06-18 13:53 c_schmitz Status assigned => resolved
2014-06-18 13:53 c_schmitz Fixed in Version => 2.05+
2014-06-18 16:08 c_schmitz Changeset removed LimeSurvey master 8be1ed56 =>
2014-06-18 16:08 c_schmitz Status resolved => assigned
2014-06-18 16:09 c_schmitz Project Bug reports => Development
2014-06-18 16:09 c_schmitz Note Added: 30156
2014-06-18 16:10 c_schmitz Product Version 2.05+ =>
2014-06-18 16:10 c_schmitz Fixed in Version 2.05+ =>
2014-06-18 16:10 c_schmitz Target Version => 2.06
2016-08-15 09:43 rnck Issue Monitored: rnck